Edit Dynamic Config Review

Edit Dynamic Config Review

puthttps://statsigapi.net/console/v1/dynamic_configs/{id}/reviews/{reviewID}

Authorizations

STATSIG-API-KEYstringrequired

apiKey (header)

Path parameters

idstringrequired
reviewIDstringrequired

Body

application/json
descriptionstring

Updated human-readable description of the proposed change.

Constraints:min length: 1max length: 2000
reviewer_idsstring[]

Replacement set of user IDs to request review from. Replaces the existing set.

reviewer_group_idsstring[]

Replacement set of reviewer group IDs to request review from. Replaces the existing set.

changeobject

The proposed change. Provide exactly one change slot: the content bundle (rules and/or default_value) or one verb field.

Show child attributes
rulesobject[]

Proposed full rule set for the dynamic config. Same shape as the DC update contract.

namestringrequired

The name of this rule.

passPercentagenumber

Of the users that meet the conditions of this rule, what percent should return true.

Constraints:min: 0max: 100
conditionsobject[]required

An array of Condition objects.

targetValueoneOf
Constraints:nullablestring[]number[]stringnumber
operatorstring
fieldstring
Constraints:nullable
customIDstring
Constraints:nullable
typestringrequired
Allowed values:app_versionbrowser_namebrowser_versioncountrycustom_fieldemailenvironment_tierfails_gatefails_segmentip_addresslocaleos_nameos_versionpasses_gatepasses_segmentpublictimeunit_iduser_iduser_agenturljavascriptdevice_modeltarget_appexperiment_group
environmentsstring[]
Constraints:nullable
idstring

The Statsig ID of this rule.

baseIDstring

The base ID of this rule, i.e. without any added metadata. Will remain the exact same throughout

returnValueobject
completedAutomatedRolloutsobject[]

Read-only: Automated rollout phases that have already completed.

timenumber
passPercentnumberrequired
pendingAutomatedRolloutsobject[]

Read-only: Automated rollout phases that are scheduled but not yet complete.

timenumber
passPercentnumberrequired
returnValueJson5string
variantsobject[]
idstring
namestringrequired
passPercentagenumberrequired
Constraints:min: 0max: 100
returnValueobject
returnValueJson5string
default_valueobject

Proposed default value for the dynamic config as a JSON object.

is_enabledboolean

Proposed enabled state for the dynamic config. An explicit target, not a toggle.

is_archivedboolean

Proposed archived state for the dynamic config. true archives, false unarchives.

deleteboolean

Delete the dynamic config. Set to true.

Allowed values:true
resaltboolean

Re-randomize the dynamic config's salt. Set to true.

Allowed values:true
disable_reviews_locallyboolean

Stop requiring review on this dynamic config. Set to true.

Allowed values:true

Response

application/json
200· The updated dynamic config review.
messagestringrequired

A simple string explaining the result of the operation.

dataobjectrequired
Show child attributes
review_idstringrequired

Unique ID of the review.

statusstringrequired

Lifecycle status of the review.

Allowed values:pendingacceptedrejectedcommittedchanges_requestedpending_webhook_validationfailed_webhook_validationapproved_webhook_validation
typestringrequired

Kind of change the review proposes.

Allowed values:rulestoggle_enabledarchivedeleteresaltdisable_reviews_locallyupdate_teamupdate_release_pipelineedit_id_typeupdate_allow_self_approvalupdate_target_applicationsupdate_ownersallowed_reviewers
authorobjectrequired

The user who created the review.

idstringrequired
emailstringrequired
Constraints:nullable
reviewersobject[]required

Requested reviewers (users and groups).

idstringrequired
kindstringrequired
Allowed values:usergroup
descriptionstringrequired

Human-readable description of the proposed change.

created_atstringrequired

ISO-8601 timestamp of when the review was created.

404· Not Found. The requested resource could not be found.
statusintegerrequired
Allowed values:404
messagestringrequired

Was this helpful?